CVE-2021-29488

NameCVE-2021-29488
DescriptionSABnzbd is an open source binary newsreader. A vulnerability was discovered in SABnzbd that could trick the `filesystem.renamer()` function into writing downloaded files outside the configured Download Folder via malicious PAR2 files. A patch was released as part of SABnzbd 3.2.1RC1. As a workaround, limit downloads to NZBs without PAR2 files, deny write permissions to the SABnzbd process outside areas it must access to perform its job, or update to a fixed version.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
sabnzbdplus (PTS)stretch/contrib1.1.1+dfsg-1vulnerable
buster/contrib2.3.6+dfsg-1+deb10u1vulnerable
bullseye/contrib3.1.1+dfsg-2vulnerable
sid/contrib3.2.1+dfsg-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
sabnzbdplussource(unstable)3.2.1+dfsg-1

Notes

[bullseye] - sabnzbdplus <no-dsa> (Minor issue; non-free/contrib not security supported)
[buster] - sabnzbdplus <no-dsa> (Minor issue; non-free/contrib not security supported)
[stretch] - sabnzbdplus <no-dsa> (Minor issue; contrib not supported)
https://github.com/sabnzbd/sabnzbd/security/advisories/GHSA-jwj3-wrvf-v3rp
https://github.com/sabnzbd/sabnzbd/commit/3766ba54026eaa520dbee5b57a2f33d4954fb98b

Search for package or bug name: Reporting problems